Package org.eclipse.net4j.util.collection

# Class PreferenceHistory

java.lang.Object
org.eclipse.net4j.util.event.Notifier
org.eclipse.net4j.util.collection.History<String>
org.eclipse.net4j.util.collection.PreferenceHistory

All Implemented Interfaces:
  `Iterable<IHistoryElement<String>>`, `IHistory<String>`, `INotifier`, `INotifier.INotifier2`

public class PreferenceHistory extends History<String>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.net4j.util.event.Notifier

`Notifier.Cancelation`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`INotifier.INotifier2`

## Field Summary

### Fields inherited from class org.eclipse.net4j.util.collection.History

`elements`

## Constructor Summary

Constructors
Constructor
Description
`PreferenceHistory(OMPreference<String[]> preference)`

## Method Summary

Modifier and Type
Method
Description
`OMPreference<String[]>`
`getPreference()`
`protected void`
`load()`
`protected void`
`save()`

### Methods inherited from class org.eclipse.net4j.util.collection.History

`add, changed, clear, createElement, get, getData, getElements, getMostRecent, indexOf, isEmpty, iterator, remove, setElements, size, toArray`

### Methods inherited from class org.eclipse.net4j.util.event.Notifier

`addListener, addUniqueListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListener, hasListeners, lastListenerRemoved, listenerAdded, listenerRemoved, removeListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### PreferenceHistory

public PreferenceHistory(OMPreference<String[]> preference)

## Method Details

### getPreference

public OMPreference<String[]> getPreference()

### load

protected void load()

Overrides:
  `load` in class `History<String>`

### save

protected void save()

Overrides:
  `save` in class `History<String>`